Alte Plugins - neue Webseite

Third Party Plugins to CMSimple - how to install, use and create plugins

Moderator: Tata

Post Reply
pmschulze
Posts: 60
Joined: Thu Aug 07, 2014 5:29 pm

Alte Plugins - neue Webseite

Post by pmschulze » Sat Mar 03, 2018 11:08 am

Zur Vorbereitung des Provider-Umzugs habe ich auf meiner Synology ein total neues System zur Probe aufgesetzt.
PHP-Version: 7.0; Apache-Server 2.4; alles mit Standardeinstellungen

Das Transfer von 1.6.x zu 1.7.2 funktionierte fast problemlos. Die Anleitung dazu war hervorragend.
Alle neusten Versionen der Plugins sind installiert...
Bei der Update-Prüfung schlägt Kalender, Glossaire und Shariff fehl.

Es gibt lediglich kleinere, für mich aber wichtige Baustellen:

1. Glossaire funktioniert, wirft aber im Debug-Modus Hinweise aus: "Indirect modification of overloaded element of XH\PluginConfig has no effect
/volume1/web/plugins/glossaire/config/aktuell.inc"

2. Cryptogtraph: das funktioniert gar nicht :(; die Startseite ist nicht aufrufbar, die Konfigurationsseite hingegen schon
Der Fehler hier ist lang:
Uncaught Error: Call to undefined function Cryptographp\gd_info() in /volume1/web/plugins/cryptographp/classes/SystemCheckService.php:91
Stack trace:
#0 /volume1/web/plugins/cryptographp/classes/SystemCheckService.php(52): Cryptographp\SystemCheckService->checkGdFreetype()
#1 /volume1/web/plugins/cryptographp/classes/Plugin.php(87): Cryptographp\SystemCheckService->getChecks()
#2 /volume1/web/plugins/cryptographp/classes/Plugin.php(70): Cryptographp\Plugin->renderInfo()
#3 /volume1/web/plugins/cryptographp/classes/Plugin.php(58): Cryptographp\Plugin->handleAdministration()
#4 /volume1/web/plugins/cryptographp/index.php(23): Cryptographp\Plugin->run()
#5 /volume1/web/cmsimple/cms.php(1105): include('/volume1/web/pl...')
#6 /volume1/web/index.php(6): include('/volume1/web/cm...')
#7 {main}
thrown in /volume1/web/plugins/cryptographp/classes/SystemCheckService.php on line 91

3. Das wichtigste zum Schluss: memberpages funktioniert leider auch nicht: Undefined index: memberpages; der Fehler hier ist: "/volume1/web/cmsimple/classes/PluginConfig.php:84"

Was kann ich tun??

cmb
Posts: 12665
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Alte Plugins - neue Webseite

Post by cmb » Sat Mar 03, 2018 12:47 pm

pmschulze wrote:
Sat Mar 03, 2018 11:08 am
1. Glossaire funktioniert, wirft aber im Debug-Modus Hinweise aus: "Indirect modification of overloaded element of XH\PluginConfig has no effect
/volume1/web/plugins/glossaire/config/aktuell.inc"
Hm, die Weiterentwicklung dieses Plugins wurde eingestellt.
pmschulze wrote:
Sat Mar 03, 2018 11:08 am
Cryptogtraph: das funktioniert gar nicht :(; die Startseite ist nicht aufrufbar, die Konfigurationsseite hingegen schon
Der Fehler hier ist lang:
Uncaught Error: Call to undefined function Cryptographp\gd_info() in
Da ist die GD Extension nicht installiert. Möglicherweise ist nur das entsprechende Paket per Paketverwaltung nachzuinstallieren (php-gd oder ähnlich), und der Webserver neu zu starten.
pmschulze wrote:
Sat Mar 03, 2018 11:08 am
Das wichtigste zum Schluss: memberpages funktioniert leider auch nicht: Undefined index: memberpages; der Fehler hier ist: "/volume1/web/cmsimple/classes/PluginConfig.php:84"
Probier mal Version 3.6.5.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

pmschulze
Posts: 60
Joined: Thu Aug 07, 2014 5:29 pm

Re: Alte Plugins - neue Webseite

Post by pmschulze » Sat Mar 03, 2018 3:34 pm

Lieber Christop: perfekte Lösungen. Danke! :D
Alles funktioniert wieder und ich kann umziehen mit der Seite.

Letzte Frage: Warum zeigt er jetzt eigentlich beim Updatecheck an, dass Calender (1.4.8) und Memberpages (3.6.5) --> Update-Prüfung fehlgeschlagen?
Beide sind aktuell??

olape
Posts: 578
Joined: Fri Mar 13, 2015 8:47 am
Contact:

Re: Alte Plugins - neue Webseite

Post by olape » Sat Mar 03, 2018 4:21 pm

pmschulze wrote:
Sat Mar 03, 2018 11:08 am
Bei der Update-Prüfung schlägt Kalender, Glossaire und Shariff fehl.
Für Shariff kann ich das nicht nachvollziehen. Bei den Seiten, auf die ich Zugriff habe, funktioniert das.
Kalender, Glossaire habe ich nirgends laufen.

Hartmut
Posts: 509
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Alte Plugins - neue Webseite

Post by Hartmut » Sat Mar 03, 2018 4:38 pm

pmschulze wrote:
Sat Mar 03, 2018 3:34 pm
Letzte Frage: Warum zeigt er jetzt eigentlich beim Updatecheck an, dass Calender (1.4.8) und Memberpages (3.6.5) --> Update-Prüfung fehlgeschlagen?
Beide sind aktuell??
auf einer meiner betreuten Seiten (https://www.drk-butzbach.de) läuft CMSimple_XH 1.7.2 unter PHP 5.6.33 und dessen Updatecheck sind "Calendar 1.4.8" und "Memberpages 3.6.5" aktuell.
Allerdings erhalte ich beim Updatecheck die Meldung "Update-Prüfung für CMSimple_XH fehlgeschlagen!" :?

Viele Grüße
Hartmut

cmb
Posts: 12665
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Alte Plugins - neue Webseite

Post by cmb » Mon Mar 05, 2018 9:46 am

Schlägt die Updateprüfung fehl, dann bietet es sich an, die jeweiligen URLs einmal direkt im Browser einzugeben. Diese findet man im Pluginverzeichnis in der Datei version.nfo (also z.B. plugins/calendar/version.nfo), und zwar dort ganz am Ende, nach dem letzten Komma. Tritt beim manuellen Abruf ein Fehler auf (Not found, Timeout, oder was auch immer), dann stimmt wohl auf dem Server des Pluginanbieters etwas nicht. Kann man so aber die Datei abrufen, und ist sie identisch zur version.nfo im Pluginverzeichnis, dann kann es sein, dass der eigene Server die ausgehende Verbindung blockiert ("Firewall"). Eventuell ist es möglich, die Verbindung im Control-Panel des Webspace selbst freizuschalten – ansonsten mal den Provider kontaktieren.

Ach ja, die entsprechende URL für CMSimple_XH selbst ist http://www.cmsimple-xh.org/downloads/ve ... ersion.nfo
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Post Reply